import 'package:flutter/material.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class TopUpButton extends StatelessWidget{
  const TopUpButton({super.key});

  @override
  Widget build(BuildContext context) {
    final loc = AppLocalizations.of(context)!;
    return ElevatedButton(
      style: ElevatedButton.styleFrom(
        shadowColor: null,
        elevation: 0,
      ),
      onPressed: () {
        ScaffoldMessenger.of(context).showSnackBar(
        SnackBar(content: Text(loc.addFunctionality)),
        );
      },
      child: Text(loc.topUpBalance),
    );
  }
}
